# Workspace

## GET /api/sites/{domain}/{value}

>

```json
{"openapi":"3.1.1","info":{"title":"API Version 1","version":"v1"},"servers":[{"url":"https://dev-demo.shiftiq.com"}],"paths":{"/api/sites/{domain}/{value}":{"get":{"tags":["Workspace"],"operationId":"Sites_Pages","parameters":[{"schema":{"type":"string"},"name":"domain","in":"path","required":true},{"schema":{"type":"string"},"name":"value","in":"path","required":true}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"}},"text/json":{"schema":{"type":"object"}},"application/xml":{"schema":{"type":"object"}},"text/xml":{"schema":{"type":"object"}},"text/html":{"schema":{"type":"object"}}}}}}}}}
```

## POST /api/sites/contact

>

```json
{"openapi":"3.1.1","info":{"title":"API Version 1","version":"v1"},"servers":[{"url":"https://dev-demo.shiftiq.com"}],"paths":{"/api/sites/contact":{"post":{"tags":["Workspace"],"operationId":"Sites_Contact","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"}},"text/json":{"schema":{"type":"object"}},"application/xml":{"schema":{"type":"object"}},"text/xml":{"schema":{"type":"object"}},"text/html":{"schema":{"type":"object"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PagesContactUsModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/PagesContactUsModel"}},"application/xml":{"schema":{"$ref":"#/components/schemas/PagesContactUsModel"}},"text/xml":{"schema":{"$ref":"#/components/schemas/PagesContactUsModel"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/PagesContactUsModel"}},"text/html":{"schema":{"$ref":"#/components/schemas/PagesContactUsModel"}}},"required":true}}}},"components":{"schemas":{"PagesContactUsModel":{"required":["Email","Message"],"type":"object","properties":{"Name":{"type":"string"},"Email":{"type":"string"},"Phone":{"type":"string"},"Subject":{"type":"string"},"Message":{"type":"string"},"RequestUrl":{"type":"string"}}}}}}
```

## GET /api/sites/getnavigationmenu

>

```json
{"openapi":"3.1.1","info":{"title":"API Version 1","version":"v1"},"servers":[{"url":"https://dev-demo.shiftiq.com"}],"paths":{"/api/sites/getnavigationmenu":{"get":{"tags":["Workspace"],"operationId":"Sites_GetNavigationMenu","parameters":[{"schema":{"type":"string","format":"uuid"},"name":"site","in":"query","required":true}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"}},"text/json":{"schema":{"type":"object"}},"application/xml":{"schema":{"type":"object"}},"text/xml":{"schema":{"type":"object"}},"text/html":{"schema":{"type":"object"}}}}}}}}}
```

## GET /api/sites/getuser

>

```json
{"openapi":"3.1.1","info":{"title":"API Version 1","version":"v1"},"servers":[{"url":"https://dev-demo.shiftiq.com"}],"paths":{"/api/sites/getuser":{"get":{"tags":["Workspace"],"operationId":"Sites_GetUser","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"}},"text/json":{"schema":{"type":"object"}},"application/xml":{"schema":{"type":"object"}},"text/xml":{"schema":{"type":"object"}},"text/html":{"schema":{"type":"object"}}}}}}}}}
```

## Rename a site

> Modify the domain name for an existing website.

```json
{"openapi":"3.1.1","info":{"title":"API Version 1","version":"v1"},"servers":[{"url":"https://dev-demo.shiftiq.com"}],"paths":{"/api/sites/rename":{"post":{"tags":["Workspace"],"summary":"Rename a site","description":"Modify the domain name for an existing website.","operationId":"Sites_Rename","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"}},"text/json":{"schema":{"type":"object"}},"application/xml":{"schema":{"type":"object"}},"text/xml":{"schema":{"type":"object"}},"text/html":{"schema":{"type":"object"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RenameRequest"}},"text/json":{"schema":{"$ref":"#/components/schemas/RenameRequest"}},"application/xml":{"schema":{"$ref":"#/components/schemas/RenameRequest"}},"text/xml":{"schema":{"$ref":"#/components/schemas/RenameRequest"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/RenameRequest"}},"text/html":{"schema":{"$ref":"#/components/schemas/RenameRequest"}}},"required":true}}}},"components":{"schemas":{"RenameRequest":{"type":"object","properties":{"From":{"type":"string"},"To":{"type":"string"}}}}}}
```

## POST /api/sites/sendemail

>

```json
{"openapi":"3.1.1","info":{"title":"API Version 1","version":"v1"},"servers":[{"url":"https://dev-demo.shiftiq.com"}],"paths":{"/api/sites/sendemail":{"post":{"tags":["Workspace"],"operationId":"Sites_SendEmail","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"}},"text/json":{"schema":{"type":"object"}},"application/xml":{"schema":{"type":"object"}},"text/xml":{"schema":{"type":"object"}},"text/html":{"schema":{"type":"object"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PagesContactUsModel2"}},"text/json":{"schema":{"$ref":"#/components/schemas/PagesContactUsModel2"}},"application/xml":{"schema":{"$ref":"#/components/schemas/PagesContactUsModel2"}},"text/xml":{"schema":{"$ref":"#/components/schemas/PagesContactUsModel2"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/PagesContactUsModel2"}},"text/html":{"schema":{"$ref":"#/components/schemas/PagesContactUsModel2"}}},"required":true}}}},"components":{"schemas":{"PagesContactUsModel2":{"type":"object","properties":{"Name":{"type":"string"},"Email":{"type":"string"},"Phone":{"type":"string"},"Comment":{"type":"string"},"RequestUrl":{"type":"string"}}}}}}
```

## GET /api/sites/settings

>

```json
{"openapi":"3.1.1","info":{"title":"API Version 1","version":"v1"},"servers":[{"url":"https://dev-demo.shiftiq.com"}],"paths":{"/api/sites/settings":{"get":{"tags":["Workspace"],"operationId":"Sites_Settings","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"}},"text/json":{"schema":{"type":"object"}},"application/xml":{"schema":{"type":"object"}},"text/xml":{"schema":{"type":"object"}},"text/html":{"schema":{"type":"object"}}}}}}}}}
```

## POST /api/sites/blogs/subscribe

>

```json
{"openapi":"3.1.1","info":{"title":"API Version 1","version":"v1"},"servers":[{"url":"https://dev-demo.shiftiq.com"}],"paths":{"/api/sites/blogs/subscribe":{"post":{"tags":["Workspace"],"operationId":"Sites_Subscribe","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"}},"text/json":{"schema":{"type":"object"}},"application/xml":{"schema":{"type":"object"}},"text/xml":{"schema":{"type":"object"}},"text/html":{"schema":{"type":"object"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CmdsBlogSubscriptionRequested"}},"text/json":{"schema":{"$ref":"#/components/schemas/CmdsBlogSubscriptionRequested"}},"application/xml":{"schema":{"$ref":"#/components/schemas/CmdsBlogSubscriptionRequested"}},"text/xml":{"schema":{"$ref":"#/components/schemas/CmdsBlogSubscriptionRequested"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/CmdsBlogSubscriptionRequested"}},"text/html":{"schema":{"$ref":"#/components/schemas/CmdsBlogSubscriptionRequested"}}},"required":true}}}},"components":{"schemas":{"CmdsBlogSubscriptionRequested":{"type":"object","properties":{"FirstName":{"type":"string"},"LastName":{"type":"string"},"Email":{"type":"string"}}}}}}
```

## GET /api/sites/pages/list

>

```json
{"openapi":"3.1.1","info":{"title":"API Version 1","version":"v1"},"servers":[{"url":"https://dev-demo.shiftiq.com"}],"paths":{"/api/sites/pages/list":{"get":{"tags":["Workspace"],"operationId":"Sites_List","parameters":[{"schema":{"type":"string"},"name":"site","in":"query","required":true},{"schema":{"type":"string"},"name":"type","in":"query","required":true},{"schema":{"type":"string"},"name":"keyword","in":"query","required":true},{"schema":{"type":"integer","format":"int32"},"name":"start","in":"query","required":true},{"schema":{"type":"integer","format":"int32"},"name":"end","in":"query","required":true}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"}},"text/json":{"schema":{"type":"object"}},"application/xml":{"schema":{"type":"object"}},"text/xml":{"schema":{"type":"object"}},"text/html":{"schema":{"type":"object"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.shiftiq.com/developers/api-v1/api-reference/workspace.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
